Bug 201720 - Simplify CoreAudioCaptureSource suspension logic
Summary: Simplify CoreAudioCaptureSource suspension logic
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: WebRTC (show other bugs)
Version: WebKit Nightly Build
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: youenn fablet
URL:
Keywords: InRadar
Depends on:
Blocks:
 
Reported: 2019-09-12 07:44 PDT by youenn fablet
Modified: 2019-11-30 11:09 PST (History)
11 users (show)

See Also:


Attachments
Patch (11.46 KB, patch)
2019-09-12 07:53 PDT, youenn fablet
no flags Details | Formatted Diff | Diff
Archive of layout-test-results from ews213 for win-future (13.48 MB, application/zip)
2019-09-12 09:47 PDT, Build Bot
no flags Details
Rebasing (12.75 KB, patch)
2019-11-26 06:08 PST, youenn fablet
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description youenn fablet 2019-09-12 07:44:04 PDT
Simplify CoreAudioCaptureSource suspension logic
Comment 1 youenn fablet 2019-09-12 07:53:17 PDT
Created attachment 378645 [details]
Patch
Comment 2 Build Bot 2019-09-12 09:46:57 PDT
Comment on attachment 378645 [details]
Patch

Attachment 378645 [details] did not pass win-ews (win):
Output: https://webkit-queues.webkit.org/results/13026307

New failing tests:
storage/indexeddb/modern/new-database-after-user-delete.html
Comment 3 Build Bot 2019-09-12 09:47:17 PDT
Created attachment 378652 [details]
Archive of layout-test-results from ews213 for win-future

The attached test failures were seen while running run-webkit-tests on the win-ews.
Bot: ews213  Port: win-future  Platform: CYGWIN_NT-10.0-17763-3.0.5-338.x86_64-x86_64-64bit
Comment 4 youenn fablet 2019-11-26 06:08:26 PST
Created attachment 384349 [details]
Rebasing
Comment 5 WebKit Commit Bot 2019-11-30 11:08:16 PST
Comment on attachment 384349 [details]
Rebasing

Clearing flags on attachment: 384349

Committed r252961: <https://trac.webkit.org/changeset/252961>
Comment 6 WebKit Commit Bot 2019-11-30 11:08:17 PST
All reviewed patches have been landed.  Closing bug.
Comment 7 Radar WebKit Bug Importer 2019-11-30 11:09:21 PST
<rdar://problem/57540532>